﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;

namespace OAuth2Authorizer
{
    public interface IAuthorizer
    {
        string GetAuthorizeUrl(string appKey, string redirectUrl, string state, NameValueCollection parameters=null);
        AccessTokenResponse GetAccessToken(string appKey, string appSecret, string redirectUrl, string code, NameValueCollection parameters = null);
    }
}
