﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace OAuth2Authorizer
{
    [DataContract]
    public class AccessTokenResponse
    {
        [DataMember(Name="access_token")]
        public string AccessToken { get; set; }
        public string TokenType { get; set; }
        public string ExpiresIn { get; set; }
        public string RefreshToken { get; set; }

        public NameValueCollection ResponseTokens { get; set; }

        public AccessTokenResponse(string accessToken, string tokenType)
        {
            AccessToken = accessToken;
            TokenType = tokenType;
            ResponseTokens = new NameValueCollection();
        }
    }
}
