﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace OAuth2Authorizer.DropBox
{

    [DataContract]
    internal class DropBoxAccessToken
    {
        [DataMember(Name = "access_token")]
        public string AccessToken { get; set; }

        [DataMember(Name = "uid")]
        public string Uid { get; set; }

        [DataMember(Name = "token_type")]
        public string TokenType { get; set; }

        public AccessTokenResponse AsAccessTokenResponse()
        {
            var accessToken = new AccessTokenResponse(AccessToken, TokenType);
            accessToken.ResponseTokens.Add("uid", Uid);
            return accessToken;
        }
    }
}
